[SkyGfx]
; Modern configuration
; For SkyGfx Extended version

;; If you leave the value empty (e.g. buildingPipe= ) or remove the line,
;; the default PC setting will be used, in some cases the game code will not
;; even be touched then. This might be useful should there be incompatibilities
;; with other mods.

;; Hotkeys for toggling in game
;;  The numbers below are VK keycodes, you can look them up on https://msdn.microsoft.com/de-de/library/windows/desktop/dd375731(v=vs.85).aspx
;;  I'm aware this is super shitty. Set to zero or remove the lines to disable.
keySwitch=0x79          ; cycle through inis (0x79 = F10)
keyReload=0x7A          ; reload all inis (0x7A = F11)

;; Texture modulation:     ps2Modulate(Building|Grass)
;;   Emulates the PS2 way of texture modulation.
;;   In practice this means the world and grass will be brighter
;; Dual pass:              dualPass(Default|Ped|Building|Vehicle|Grass)
;;   Enables dual pass to fix alpha issues (emulates PS2 behaviour). This could affect performance
;;   NOTE: set TwoPassRendering=0 in SilentPatch when using dualPassBuilding=1
;; These are used as fallback if the fine tuned settings are not set:
ps2Modulate=1
dualPass=1

;; Render Pipelines
buildingPipe=PC        ; Select the building pipeline settings to be used, they only differ in reflection and lighting
                        ;  values: "PS2", "Xbox"
                        ;  otherwise the pipeline will not be hooked (in this case this setting cannot be changed at runtime)
detailMaps=0            ; Enable mobile detail maps (needs texdb files)
stochasticTexturing=1   ; Enable the use of procedural stochastic texturing shader to remove repeating patterns on stochastic textures, like grass, concrete etc (needs texdb files)
vehiclePipe=PC         ; Select the vehicle pipeline to be used
                        ;  values: "PS2", "PC", "Xbox", "Spec" (like PS2 but with specular lighting), "Neo" (like III/VC Xbox), "LCS", "VCS", "Mobile", "Env"
                        ;  otherwise the pipeline will not be hooked (in this case this setting cannot be changed at runtime)
envMapSize=256          ; Size of the reflection map used for Neo and Mobile car reflections (rounded up to next power of 2).
leedsShininessMult=0.5  ; Leeds reflection intensity multiplier
neoShininessMult=0.5    ; Neo reflection intensity multiplier
neoSpecularityMult=0.5  ; Neo specular light intensity multiplier
envShininessMult=0.4    ; Env reflection intensity multiplier
envSpecularityMult=6.0  ; Env specular light intensity multiplier
envPower=10.0           ; Env specular light power (the higher the smaller the highlight)
envFresnel=0.5          ; Env fresnel strength
sunGlare=1              ; Sun glare on cars like in VC

;; Grass
grassAddAmbient=1       ; Add current ambient light to grass color like on the PS2
grassFixPlacement=1     ; Fix the grass placement bug in the PC version. There is hardly a reason to disable this
grassBackfaceCull=0     ; Enable or disable backface culling for grass. PS2 has it disabled, PC has it enabled. This could affect performance

;; Shadows (if unset game settings will be used)
; pedShadows=0            ; Enable dynamic ped shadows
; stencilShadows=0        ; Enable stencil shadows (vehicles and poles)

;; Color filter
colorFilter=PC    ; Select the color filter
                        ;  values: "PS2", "PC", "Mobile", (needs colorcycle.dat), "None",
                        ;  experimental (need proper timecycle): "III", "VC", "VCS" (uses VC colorFilter, enable vcsTrails)
rgb1Mult=1.0            ; Tweak rgb timecycle values. Useful if you use timecycle with too low or too high color values for that specific color filter
rgb2Mult=1.0
usePCTimecyc=0        ; Uncomment this if you use a PC timecyc.dat instead of a PS2 timecyc.dat or any timecycp.dat
blurLeft=   0           ; Override PS2 color filter blur offset from stream.ini (comment out to use values from stream.ini)
blurTop=    0           ;  to disable blur set these to 0
blurRight=  0
blurBottom= 0
;; Radiosity
doRadiosity=0           ; Enable or disable radiosity (comment out to use pe_bRadiosity from stream.ini)
radiosity=Shader        ; Select implementation. values: "Shader", "PS2"
;; Trails
vcsTrails = 0           ; Enable or disable VCS trails (part of radiosity; not compatible with PC/PS2 color filter) (EXPERIMENTAL)
trailsLimit = 80        ; Normally set by VCS timecycle
trailsIntensity = 15    ; Normally set by VCS timecycle
trailsResolution = 1    ; Increase it for sharper trails
;; Misc
disableClouds=0         ; Disable the far clouds on the horizon. They're bugged on the PS2. (cannot be toggled at runtime)
disableGamma=0          ; Brightness slider doesn't change gamma (cannot be toggled at runtime)
neoWaterDrops=0         ; Use Neo water drops on screen (cannot be toggled at runtime)
neoBloodDrops=0         ; Use Neo water drops on screen (requires neoWaterDrops)
transparentLockon=1     ; Use transparent rocket lock on like on PS2 (cannot be toggled at runtime)
lightningIlluminatesWorld=1	; Lightning flash only illuminates the sky on PS2 but world geometry too on PC
fixPcCarLight=1	        ; removes fixed PC car diffuse and ambient light (cannot be toggled at runtime)
coronaZtest=0	        ; z-test on coronas. 0 to disable (PS2), 1 to enable (PC) (overrides SilentPatch)
fixShadows=1            ; fix z-problems with shadows as on PS2. tends to break with high far clip plane (cannot be toggled at runtime)

;; Modify final colors in YCbCr space
;YCbCrCorrection=1	; turns this on or off (default 0)
;lumaScale=0.8888	; multiplier for Y (default 0.8588)
;lumaOffset=0.0727	; this is added to Y (default 0.0627)
;CbScale=1.22		; like above with Cb and Cr (default 1.22)
;CbOffset=0.0		; (default 0.0)
;CrScale=1.22		; (default 1.22)
;CrOffset=0.0		; (default 0.0)

;;;;;
;;;;; Advanced fine tuning
;;;;;

; When disabled, don't hook. Attach building pipe on all models with two sets of vertex colours (this breaks the parachute animation)
; When 0, like above but don't override explicitly set pipelines
; When 1, only attach building pipe when explicitly set by dff (like Xbox and PS2)
explicitBuildingPipe=0
;; PS2 texture modulation, these override ps2Modulate
ps2ModulateBuilding=1
ps2ModulateGrass=0
;; Dual pass, these override dualPass
dualPassBuilding=1
dualPassVehicle=1
dualPassGrass=1
dualPassPed=1
dualPassDefault=1       ; everything else
;; This value controls the threshold of the dual pass below which Z is not written
zwriteThreshold=128		; Set to 255 to get Silent's dual pass effect (default 128)

;; PostFX
; These three are tied to colorFilter if not explicitly set:
infraredVision=PS2      ; Select the infrared vision
;                         ;  values: "PS2", "PC"
nightVision=PS2         ; Select the night vision
;                         ;  values: "PS2", "PC"
grainFilter=PS2         ; Select the grain filter for infrared, night vision and rain
;                         ;  values: "PS2", "PC"

;; Radiosity settings
radiosityFilterPasses=5      ; How often the frame will be downsampled (dimensions are halved each time) (default 2)
radiosityRenderPasses=3      ; How often the radiosity effect will be applied to the frame (default 1)
radiosityIntensity=50        ; Multiplier for radiosity intensity (default 35)
